# marketplace-api
A Marketplace API using OAuth2 for applications developed by FromTheInternet

- API version: 1.0.0
For more information, please visit [https://fromtheinternet.co.za](https://fromtheinternet.co.za)

## Requirements

Dart 1.20.0 or later OR Flutter 0.0.20 or later

## Installation & Usage

### Github
If this Dart package is published to Github, please include the following in pubspec.yaml
```
name: marketplace-api
version: 1.0.0
description: A Marketplace API developed by FromTheInternet
dependencies:
  marketplace-api:
    git: https://github.com//.git
      version: 'any'
```

### Local
To use the package in your local drive, please include the following in pubspec.yaml
```
dependencies:
  marketplace-api:
    path: /path/to/marketplace-api
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:marketplace-api/api.dart';

// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new BasketsApi();
var basketId = basketId_example; // String | Assigned Id of the basket you are deleting.

try {
    api_instance.basketsBasketIdDelete(basketId);
} catch (e) {
    print("Exception when calling BasketsApi->basketsBasketIdDelete: $e\n");
}

```

## Documentation for API Endpoints

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*BasketsApi* | [**basketsBasketIdDelete**](docs//BasketsApi.md#basketsbasketiddelete) | **DELETE** /baskets/{basketId} | Delete basket in marketplace
*BasketsApi* | [**basketsBasketIdGet**](docs//BasketsApi.md#basketsbasketidget) | **GET** /baskets/{basketId} | Get basket
*BasketsApi* | [**basketsBasketIdPut**](docs//BasketsApi.md#basketsbasketidput) | **PUT** /baskets/{basketId} | Replace basket
*BasketsApi* | [**basketsGet**](docs//BasketsApi.md#basketsget) | **GET** /baskets | Get all baskets
*BasketsApi* | [**basketsPost**](docs//BasketsApi.md#basketspost) | **POST** /baskets | Add basket
*BasketsApi* | [**basketsProductProductIdDelete**](docs//BasketsApi.md#basketsproductproductiddelete) | **DELETE** /baskets/product/{productId} | Delete baskets with product Id in marketplace
*CategoriesApi* | [**categoriesCategoryIdDelete**](docs//CategoriesApi.md#categoriescategoryiddelete) | **DELETE** /categories/{categoryId} | Delete category
*CategoriesApi* | [**categoriesCategoryIdGet**](docs//CategoriesApi.md#categoriescategoryidget) | **GET** /categories/{categoryId} | Get Category by Id
*CategoriesApi* | [**categoriesCategoryIdPut**](docs//CategoriesApi.md#categoriescategoryidput) | **PUT** /categories/{categoryId} | Replace category
*CategoriesApi* | [**categoriesGet**](docs//CategoriesApi.md#categoriesget) | **GET** /categories | Get all categories
*CategoriesApi* | [**categoriesPost**](docs//CategoriesApi.md#categoriespost) | **POST** /categories | Add category
*CustomersApi* | [**customersCustomerIdDelete**](docs//CustomersApi.md#customerscustomeriddelete) | **DELETE** /customers/{customerId} | Delete Customer in marketplace
*CustomersApi* | [**customersCustomerIdGet**](docs//CustomersApi.md#customerscustomeridget) | **GET** /customers/{customerId} | Get Customer
*CustomersApi* | [**customersCustomerIdPut**](docs//CustomersApi.md#customerscustomeridput) | **PUT** /customers/{customerId} | Replace Customer
*CustomersApi* | [**customersGet**](docs//CustomersApi.md#customersget) | **GET** /customers | Get all Customers
*CustomersApi* | [**customersPost**](docs//CustomersApi.md#customerspost) | **POST** /customers | Add Customer
*OrdersApi* | [**orderOrderIdDelete**](docs//OrdersApi.md#orderorderiddelete) | **DELETE** /order/{orderId} | Delete Order in marketplace
*OrdersApi* | [**orderOrderIdGet**](docs//OrdersApi.md#orderorderidget) | **GET** /order/{orderId} | Get Order
*OrdersApi* | [**orderOrderIdPut**](docs//OrdersApi.md#orderorderidput) | **PUT** /order/{orderId} | Replace Order
*OrdersApi* | [**orderStatusStatusGet**](docs//OrdersApi.md#orderstatusstatusget) | **GET** /order/status/{status} | Get All Orders with status
*OrdersApi* | [**ordersGet**](docs//OrdersApi.md#ordersget) | **GET** /orders | Get all Orders
*OrdersApi* | [**ordersPost**](docs//OrdersApi.md#orderspost) | **POST** /orders | Add order
*ProductsApi* | [**productsCategoryCategoryIdGet**](docs//ProductsApi.md#productscategorycategoryidget) | **GET** /products/category/{categoryId} | Get product by category Id
*ProductsApi* | [**productsGet**](docs//ProductsApi.md#productsget) | **GET** /products | Get all products
*ProductsApi* | [**productsPost**](docs//ProductsApi.md#productspost) | **POST** /products | Add product
*ProductsApi* | [**productsProductIdDelete**](docs//ProductsApi.md#productsproductiddelete) | **DELETE** /products/{productId} | Delete product in marketplace
*ProductsApi* | [**productsProductIdGet**](docs//ProductsApi.md#productsproductidget) | **GET** /products/{productId} | Get product
*ProductsApi* | [**productsProductIdPut**](docs//ProductsApi.md#productsproductidput) | **PUT** /products/{productId} | Replace product
*StoresApi* | [**storesGet**](docs//StoresApi.md#storesget) | **GET** /stores | Get all Stores
*StoresApi* | [**storesPost**](docs//StoresApi.md#storespost) | **POST** /stores | Add store
*StoresApi* | [**storesStoreIdDelete**](docs//StoresApi.md#storesstoreiddelete) | **DELETE** /stores/{storeId} | Delete store
*StoresApi* | [**storesStoreIdGet**](docs//StoresApi.md#storesstoreidget) | **GET** /stores/{storeId} | Get store by Id
*StoresApi* | [**storesStoreIdPut**](docs//StoresApi.md#storesstoreidput) | **PUT** /stores/{storeId} | Replace store
*TagsApi* | [**tagsGet**](docs//TagsApi.md#tagsget) | **GET** /tags | Get all Tags
*TagsApi* | [**tagsPost**](docs//TagsApi.md#tagspost) | **POST** /tags | Add Tag
*TagsApi* | [**tagsTagIdDelete**](docs//TagsApi.md#tagstagiddelete) | **DELETE** /tags/{tagId} | Delete Tag in marketplace
*TagsApi* | [**tagsTagIdGet**](docs//TagsApi.md#tagstagidget) | **GET** /tags/{tagId} | Get Tag
*TagsApi* | [**tagsTagIdPut**](docs//TagsApi.md#tagstagidput) | **PUT** /tags/{tagId} | Replace Tag


## Documentation For Models

 - [ApiResponse](docs//ApiResponse.md)
 - [Basket](docs//Basket.md)
 - [Category](docs//Category.md)
 - [Customer](docs//Customer.md)
 - [Order](docs//Order.md)
 - [Product](docs//Product.md)
 - [Store](docs//Store.md)
 - [Tag](docs//Tag.md)


## Documentation For Authorization


## application

- **Type**: OAuth
- **Flow**: application
- **Authorization URL**: 
- **Scopes**: 
 - **write**: allows modifying resources
 - **read**: allows reading resources


## Author

info@fromtheinternet.co.za


