# marketplace-api.api.BasketsApi

## Load the API package
```dart
import 'package:marketplace-api/api.dart';
```

All URIs are relative to *https://b2qycsxim5.execute-api.us-east-1.amazonaws.com/development*

Method | HTTP request | Description
------------- | ------------- | -------------
[**basketsBasketIdDelete**](BasketsApi.md#basketsBasketIdDelete) | **DELETE** /baskets/{basketId} | Delete basket in marketplace
[**basketsBasketIdGet**](BasketsApi.md#basketsBasketIdGet) | **GET** /baskets/{basketId} | Get basket
[**basketsBasketIdPut**](BasketsApi.md#basketsBasketIdPut) | **PUT** /baskets/{basketId} | Replace basket
[**basketsGet**](BasketsApi.md#basketsGet) | **GET** /baskets | Get all baskets
[**basketsPost**](BasketsApi.md#basketsPost) | **POST** /baskets | Add basket
[**basketsProductProductIdDelete**](BasketsApi.md#basketsProductProductIdDelete) | **DELETE** /baskets/product/{productId} | Delete baskets with product Id in marketplace


# **basketsBasketIdDelete**
> basketsBasketIdDelete(basketId)

Delete basket in marketplace

Delete a basket in the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new BasketsApi();
var basketId = basketId_example; // String | Assigned Id of the basket you are deleting.

try { 
    api_instance.basketsBasketIdDelete(basketId);
} catch (e) {
    print("Exception when calling BasketsApi->basketsBasketIdDelete: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **basketId** | **String**| Assigned Id of the basket you are deleting. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **basketsBasketIdGet**
> basketsBasketIdGet(basketId)

Get basket

Get a basket in the marketplace by Id

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new BasketsApi();
var basketId = basketId_example; // String | Assigned Id of the basket you are getting.

try { 
    api_instance.basketsBasketIdGet(basketId);
} catch (e) {
    print("Exception when calling BasketsApi->basketsBasketIdGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **basketId** | **String**| Assigned Id of the basket you are getting. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **basketsBasketIdPut**
> basketsBasketIdPut(basketId)

Replace basket

Replace a basket in the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new BasketsApi();
var basketId = basketId_example; // String | Assigned Id of the product you are replacing.

try { 
    api_instance.basketsBasketIdPut(basketId);
} catch (e) {
    print("Exception when calling BasketsApi->basketsBasketIdPut: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **basketId** | **String**| Assigned Id of the product you are replacing. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **basketsGet**
> basketsGet()

Get all baskets

Get all baskets in the marketplace.

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new BasketsApi();

try { 
    api_instance.basketsGet();
} catch (e) {
    print("Exception when calling BasketsApi->basketsGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **basketsPost**
> basketsPost(basket)

Add basket

Add a basket to the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new BasketsApi();
var basket = new Basket(); // Basket | 

try { 
    api_instance.basketsPost(basket);
} catch (e) {
    print("Exception when calling BasketsApi->basketsPost: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **basket** | [**Basket**](Basket.md)|  | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **basketsProductProductIdDelete**
> basketsProductProductIdDelete(productId)

Delete baskets with product Id in marketplace

Delete a basket with product Id  in the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new BasketsApi();
var productId = productId_example; // String | Assigned Id of the product who's baskets you are deleting.

try { 
    api_instance.basketsProductProductIdDelete(productId);
} catch (e) {
    print("Exception when calling BasketsApi->basketsProductProductIdDelete: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **productId** | **String**| Assigned Id of the product who&#39;s baskets you are deleting. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

