# marketplace-api.api.StoresApi

## Load the API package
```dart
import 'package:marketplace-api/api.dart';
```

All URIs are relative to *https://b2qycsxim5.execute-api.us-east-1.amazonaws.com/development*

Method | HTTP request | Description
------------- | ------------- | -------------
[**storesGet**](StoresApi.md#storesGet) | **GET** /stores | Get all Stores
[**storesPost**](StoresApi.md#storesPost) | **POST** /stores | Add store
[**storesStoreIdDelete**](StoresApi.md#storesStoreIdDelete) | **DELETE** /stores/{storeId} | Delete store
[**storesStoreIdGet**](StoresApi.md#storesStoreIdGet) | **GET** /stores/{storeId} | Get store by Id
[**storesStoreIdPut**](StoresApi.md#storesStoreIdPut) | **PUT** /stores/{storeId} | Replace store


# **storesGet**
> storesGet()

Get all Stores

Get all Stores in the marketplace.

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new StoresApi();

try { 
    api_instance.storesGet();
} catch (e) {
    print("Exception when calling StoresApi->storesGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **storesPost**
> storesPost(store)

Add store

Add a store to the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new StoresApi();
var store = new Store(); // Store | 

try { 
    api_instance.storesPost(store);
} catch (e) {
    print("Exception when calling StoresApi->storesPost: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **store** | [**Store**](Store.md)|  | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **storesStoreIdDelete**
> storesStoreIdDelete(storeId)

Delete store

Delete a store on the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new StoresApi();
var storeId = storeId_example; // String | Assigned Id of the store you are looking to delete.

try { 
    api_instance.storesStoreIdDelete(storeId);
} catch (e) {
    print("Exception when calling StoresApi->storesStoreIdDelete: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **storeId** | **String**| Assigned Id of the store you are looking to delete. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **storesStoreIdGet**
> storesStoreIdGet(storeId)

Get store by Id

Get a store using the assigned store Id

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new StoresApi();
var storeId = storeId_example; // String | Assigned Id of the store

try { 
    api_instance.storesStoreIdGet(storeId);
} catch (e) {
    print("Exception when calling StoresApi->storesStoreIdGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **storeId** | **String**| Assigned Id of the store | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **storesStoreIdPut**
> storesStoreIdPut(storeId)

Replace store

Replace a store on the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new StoresApi();
var storeId = storeId_example; // String | Assigned Id of the store you are looking to replace.

try { 
    api_instance.storesStoreIdPut(storeId);
} catch (e) {
    print("Exception when calling StoresApi->storesStoreIdPut: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **storeId** | **String**| Assigned Id of the store you are looking to replace. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

