# marketplace-api.api.TagsApi

## Load the API package
```dart
import 'package:marketplace-api/api.dart';
```

All URIs are relative to *https://b2qycsxim5.execute-api.us-east-1.amazonaws.com/development*

Method | HTTP request | Description
------------- | ------------- | -------------
[**tagsGet**](TagsApi.md#tagsGet) | **GET** /tags | Get all Tags
[**tagsPost**](TagsApi.md#tagsPost) | **POST** /tags | Add Tag
[**tagsTagIdDelete**](TagsApi.md#tagsTagIdDelete) | **DELETE** /tags/{tagId} | Delete Tag in marketplace
[**tagsTagIdGet**](TagsApi.md#tagsTagIdGet) | **GET** /tags/{tagId} | Get Tag
[**tagsTagIdPut**](TagsApi.md#tagsTagIdPut) | **PUT** /tags/{tagId} | Replace Tag


# **tagsGet**
> tagsGet()

Get all Tags

Get all Tags in the marketplace.

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new TagsApi();

try { 
    api_instance.tagsGet();
} catch (e) {
    print("Exception when calling TagsApi->tagsGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **tagsPost**
> tagsPost(tag)

Add Tag

Add a Tag to the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new TagsApi();
var tag = new Tag(); // Tag | 

try { 
    api_instance.tagsPost(tag);
} catch (e) {
    print("Exception when calling TagsApi->tagsPost: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tag** | [**Tag**](Tag.md)|  | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **tagsTagIdDelete**
> tagsTagIdDelete(tagId)

Delete Tag in marketplace

Delete a Tag in the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new TagsApi();
var tagId = tagId_example; // String | Assigned Id of the Tag you are deleting.

try { 
    api_instance.tagsTagIdDelete(tagId);
} catch (e) {
    print("Exception when calling TagsApi->tagsTagIdDelete: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tagId** | **String**| Assigned Id of the Tag you are deleting. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **tagsTagIdGet**
> tagsTagIdGet(tagId)

Get Tag

Get a Tag in the marketplace by assigned Id

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new TagsApi();
var tagId = tagId_example; // String | Assigned Id of the Tag you are getting.

try { 
    api_instance.tagsTagIdGet(tagId);
} catch (e) {
    print("Exception when calling TagsApi->tagsTagIdGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tagId** | **String**| Assigned Id of the Tag you are getting. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **tagsTagIdPut**
> tagsTagIdPut(tagId)

Replace Tag

Replace a Tag in the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new TagsApi();
var tagId = tagId_example; // String | Assigned Id of the Tags you are looking to replace.

try { 
    api_instance.tagsTagIdPut(tagId);
} catch (e) {
    print("Exception when calling TagsApi->tagsTagIdPut: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tagId** | **String**| Assigned Id of the Tags you are looking to replace. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

