part of marketplaceapi.api;

class Order {
  int id = null;

  int amount = null;

  Category customer = null;

  List<Object> products = [];

  Order();

  @override
  String toString() {
    return 'Order[id=$id, amount=$amount, customer=$customer, products=$products, ]';
  }

  Order.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    amount = json['amount'];
    customer = new Category.fromJson(json['customer']);
    products = Product.listFromJson(json['products']);
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'amount': amount,
      'customer': customer,
      'products': products
    };
  }

  static List<Order> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<Order>()
        : json.map((value) => new Order.fromJson(value)).toList();
  }

  static Map<String, Order> mapFromJson(
      Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Order>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) =>
          map[key] = new Order.fromJson(value));
    }
    return map;
  }

  
}
