part of marketplaceapi.api;

class Product {
  
  int id = null;
  

  String title = null;
  

  String description = null;
  

  String brand = null;
  

  String imageUrl = null;
  

  Category category = null;
  

  List<Tag> tags = [];
  

  String franchiseName = null;
  
  Product();

  @override
  String toString() {
    return 'Product[id=$id, title=$title, description=$description, brand=$brand, imageUrl=$imageUrl, category=$category, tags=$tags, franchiseName=$franchiseName, ]';
  }

  Product.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id =
        json['id']
    ;
    title =
        json['title']
    ;
    description =
        json['description']
    ;
    brand =
        json['brand']
    ;
    imageUrl =
        json['imageUrl']
    ;
    category =
      
      
      new Category.fromJson(json['category'])
;
    tags =
      Tag.listFromJson(json['Tags'])
;
    franchiseName =
        json['franchiseName']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'title': title,
      'description': description,
      'brand': brand,
      'imageUrl': imageUrl,
      'category': category,
      'Tags': tags,
      'franchiseName': franchiseName
     };
  }

  static List<Product> listFromJson(List<dynamic> json) {
    return json == null ? new List<Product>() : json.map((value) => new Product.fromJson(value)).toList();
  }

  static Map<String, Product> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Product>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Product.fromJson(value));
    }
    return map;
  }
}

